# Licensed Materials - Property of IBM
# Rational ClearCase
# (C) Copyright IBM Corp. 1991, 2014.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp


#---------------------------------------------------------------------------
# ClearCase Type Manager Interface
#
# This /bin/sh script is intended to be included by type managers written as
# Bourne shell scripts:
#     . ${CLEARCASEHOME:-${ATRIAHOME:-/opt/rational/clearcase}}/lib/mgrs/mgr_info.sh
#
# Please see ${CLEARCASEHOME:-${ATRIAHOME:-/opt/rational/clearcase}}/lib/mgrs/mgr_info.h for detailed
# type manager documentation.
#
# Shell scripts should abort on any error (e.g. "#!/bin/sh -e"), so that
# failure of a critical step does not result in a favorable return value,
# which could cause loss of data.

MGR_BASE_DIR=${CLEARCASEHOME:-${ATRIAHOME:-/opt/rational/clearcase}}/lib/mgrs


#---------------------------------------------------------------------------
# Operations

MGR_OP_CREATE_ELEMENT="create_element"
MGR_OP_CREATE_BRANCH="create_branch"
MGR_OP_CREATE_VERSION="create_version"
MGR_OP_CREATE_VERSION64="create_version64"
MGR_OP_CONSTRUCT_VERSION="construct_version"
MGR_OP_DELETE_BRANCHES_VERSIONS="delete_branches_versions"
MGR_OP_COMPARE="compare"
MGR_OP_XCOMPARE="xcompare"
MGR_OP_MERGE="merge"
MGR_OP_XMERGE="xmerge"
MGR_OP_CONTEXT_MERGE="context_merge"
MGR_OP_ANNOTATE="annotate"
MGR_OP_GET_CONT_INFO="get_cont_info"


#---------------------------------------------------------------------------
# Command line options.

MGR_FLAG_ABORT="-abort"
MGR_FLAG_ALL="-all"
MGR_FLAG_BASE="-base"
MGR_FLAG_BRANCH_OIDS="-branches"
MGR_FLAG_COLUMNS="-columns"
MGR_FLAG_DIFF="-diff"
MGR_FLAG_DIRECTORY="-directory"
MGR_FLAG_FNAME="-fname"
MGR_FLAG_HORIZONTAL="-hstack"
MGR_FLAG_IGNORE_BLANKS="-blank_ignore"
MGR_FLAG_OUT="-out"
MGR_FLAG_PARALLEL="-parallel"
MGR_FLAG_QALL="-qall"
MGR_FLAG_Q="-q"
MGR_FLAG_SERIAL="-serial"
MGR_FLAG_TINY="-tiny"
MGR_FLAG_VER_OIDS="-versions"
MGR_FLAG_VERTICAL="-vstack"
MGR_FLAG_WINDOW="-window"
MGR_FLAG_QNTRIVIAL="-qntrivial"

#---------------------------------------------------------------------------
# Return values

MGR_OK=0
MGR_FAILED=1

MGR_STORE_KEEP_NEITHER=101
MGR_STORE_KEEP_JUST_OLD=102
MGR_STORE_KEEP_JUST_NEW=103
MGR_STORE_KEEP_BOTH=104
# Use `expr $MGR_STORE_FILES_ARE_IDENT + $RESULT_VALUE`
MGR_STORE_FILES_ARE_IDENT=128

MGR_CONSTRUCT_USE_SRC_CONTAINER=101
MGR_CONSTRUCT_USE_NEW_FILE=102

MGR_DELETE_KEEP_NEITHER=101
MGR_DELETE_KEEP_JUST_OLD=102
MGR_DELETE_KEEP_JUST_NEW=103

MGR_INFO_NO_INFO=101

MGR_COMPARE_NODIFFS=$MGR_OK
MGR_COMPARE_DIFF_OR_ERROR=$MGR_FAILED

MGR_MERGE_OK=$MGR_OK
MGR_MERGE_ABORT=$MGR_FAILED


#---------------------------------------------------------------------------
# Annotation

MGR_ANNOTATE_INCLUDED="I"
MGR_ANNOTATE_DELETED="D"
MGR_ANNOTATE_UNRELATED="U"


#---------------------------------------------------------------------------
# Get Container Contents Information

MGR_INFO_VERSION="V"
MGR_INFO_BRANCH="B"
MGR_INFO_ELEMENT="E"
MGR_INFO_NIL_FIELD="NIL"

#---------------------------------------------------------------------------
# Directory Diff/Merge

MGR_DDIFF_FILE=0
MGR_DDIFF_DIR=1
MGR_DDIFF_SLINK=2

MGR_DDIFF_FMT_STR="DDIFF_Format:"
MGR_DDIFF_FORMAT=1








